skb_linearize_cow
Prev | Socket Buffer Functions | Next

## Name

skb_linearize_cow — make sure skb is linear and writable

## Synopsis

`int skb_linearize_cow (` | struct sk_buff * | skb`)`;

## Arguments

`skb`

  buffer to process

## Description

If there is no free memory -ENOMEM is returned, otherwise zero is returned and the old skb data released.

Prev | Up | Next
skb_linearize | Home | skb_postpull_rcsum